Package org.eclipse.emf.cdo.common.revision

## Interface CDOAllRevisionsProvider

- All Known Subinterfaces:
    `IMEMStore`, `IMEMStore`, `InternalCDORevisionCache`

      public interface CDOAllRevisionsProvider

  Provides consumers with all `revisions` available in an instance of this interface.
  Since:
    3.0
  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Map<CDOBranch,​java.util.List<CDORevision>>` | `getAllRevisions()` |

- - ### Method Detail

    - #### getAllRevisions

          java.util.Map<CDOBranch,​java.util.List<CDORevision>> getAllRevisions()